Summary: 	Dave/Dina Control Center Panel
Group: 		Dave Dina/Control Center

Name: 		DD-CC-P
Version: 	0.3.0
Release: 	1

Copyright: GPL
Url: http://davedina.apestaart.org/
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: glib2 gtk2 pango atk
BuildRequires: glib2-devel gtk2-devel pango-devel atk-devel
Requires: libxml2
BuildRequires: libxml2-devel
Requires: DD-OS-base >= 0.1.1

Requires: chbg
Requires: qiv
Requires: xine
Requires: xmms
Requires: DD-SS-AU-abcde
Requires: xawtv

%description
A user interface using on-screen icons which can be controlled through
a tcp socket

Authors:
--------
@AUTHORS@

%prep
%setup
./configure --prefix=/usr

%build
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT/opt/davedina/DD-CC/devices
mkdir -p $RPM_BUILD_ROOT/opt/davedina/DD-CC/programs

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README TODO BUGS AUTHORS NEWS COPYING INSTALL
%config %{_datadir}/DD-CC-P/etc/ddccp.xml
%{_bindir}/ddccp
%{_bindir}/ddccpc
%{_bindir}/ddcc
%{_datadir}/DD-CC-P/icons/*
%{_datadir}/DD-CC-P/backgrounds/*
%dir /opt/davedina/DD-CC/devices
%dir /opt/davedina/DD-CC/programs

%changelog
* Sun Mar 24 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added requires
* Sun Feb 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- initial packaging
