Name: 		a52dec
Version: 	0.7.3
Release: 	gst.2
Summary: 	Free library for decoding ATSC A/52 (a.k.a. AC-3) streams.

Group: 		Libraries/Multimedia
License: 	GPL
URL: 		http://liba52.sourceforge.net/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source: 	http://liba52.sourceforge.net/files/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-root

Prereq:		/sbin/ldconfig

%description
liba52 is a free library for decoding ATSC A/52 streams. It is released
under the terms of the GPL license. The A/52 standard is used in a
variety of applications, including digital television and DVD. It is
also known as AC-3.


%package devel
Summary: Header files and static libraries for liba52.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
a52dec-devel contains the files necessary to build packages that use the
a52dec library.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO doc/liba52.txt
%{_bindir}/*
%{_libdir}/liba52.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/liba52.a
%{_libdir}/liba52.so

%changelog
* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- remove .la
- release 2

* Wed May 29 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted for GStreamer packaging
- included .so files
- switched to our own configure

* Sun Mar 24 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the devel file ownership error.

* Tue Mar 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.3.

* Mon Dec 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.2.

* Mon Oct 29 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup and fixes.

* Thu Sep 20 2001 Martin Norbck <d95mback@dtek.chalmers.se>
- Added missing .la files
- Building statically

* Thu Sep 20 2001 Martin Norbck <d95mback@dtek.chalmers.se>
- Initial version

