Name:		libdv
Version:	0.9.5
Summary:	DV software codec.
Release:   	gst.2

Group:		Libraries/Multimedia
License: 	GPL
URL:		http://libdv.sourceforge.net/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source:		http://download.sourceforge.net/libdv/libdv-0.9.5.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-root

Requires:	glib >= 1.2.4
Requires:	gtk+ >= 1.2.4
BuildRequires:	pkgconfig
BuildRequires:	glib-devel >= 1.2.4
BuildRequires:	gtk+-devel >= 1.2.4
Prereq:		/sbin/ldconfig

%description 
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

%package devel
Summary: 	Development files for libdv.
Group: 		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%prep
%setup -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=${_prefix} --without-debug --mandir=%{_mandir} 
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README README.encoder AUTHORS NEWS INSTALL TODO COPYRIGHT 
%{_mandir}/man1/playdv.1*
%{_mandir}/man1/encodedv.1*
%{_bindir}/playdv
%{_bindir}/encodedv
%{_libdir}/libdv.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/libdv
%{_libdir}/libdv.a
%{_libdir}/libdv.so
%{_libdir}/pkgconfig/*

%changelog
* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- release 2
- removed .la

* Mon Jun 10 2002 Thomas Vander Stichele <thomas@apestaart.org>
- released 0.9.5-gst.1
- adapted from included spec file to GStreamer packaging
