Name:		rhythmbox
Summary:	Music Management Application 
Version:	0.4.0
Release:	2.gst
License:	GPL
Group:		Development/Libraries
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	gtk2 >= 2.0.3
Requires:	libgnomeui >= 2.0.0
Requires:	eel2 >= 2.0.0
Requires:	monkey-media >= 0.6.0

BuildRequires:	gtk2-devel >= 2.0.3
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	eel2-devel >= 2.0.0
BuildRequires:	monkey-media-devel >= 0.6.0
BuildRequires:	scrollkeeper

%description
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of cdroms

%prep
%setup -q

%build

%configure

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1;
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %name

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/rhythmbox.schemas > /dev/null

%postun -p /sbin/ldconfig

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS
%{_bindir}/rhythmbox
%{_sysconfdir}/gconf/schemas/rhythmbox.schemas
%{_datadir}/rhythmbox/*
%{_datadir}/applications/rhythmbox.desktop
%{_datadir}/application-registry/rhythmbox.applications
%{_datadir}/pixmaps/rhythmbox.png
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/gnome-2.0/ui/*.xml
%{_libdir}/bonobo/servers/GNOME_Rhythmbox_Shell.server
%{_datadir}/gnome/help/rhythmbox/C/authors.xml
%{_datadir}/gnome//help/rhythmbox/C/*
%{_datadir}/omf/rhythmbox/rhythmbox-C.omf

%changelog
* Sun Oct 20 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Added documentation

* Thu Oct 10 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Added .applications file, rpmbuild complains about .mo files being listed twice, dont see how.

* Sat Jun 22 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Added gconf file
- Added i18n directory

* Sat Jun 15 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Updated for new rewrite of rhythmbox, thanks to Jeroen

* Mon Mar 18 2002 Jorn Baayen <jorn@nl.linux.org>
- removed bonobo dependency
* Sat Mar 02 2002 Christian Schaller <Uraeus@linuxrising.org>
- created new spec file
